Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash Class Reference

`#include <SpookyV2.h>`

## Public Member Functions
void | Init (uint64_t seed1, uint64_t seed2)
void | Update (const void *message, size_t length)
void | Final (uint64_t *hash1, uint64_t *hash2)

## Static Public Member Functions
static void | Hash128 (const void *message, size_t length, uint64_t *hash1, uint64_t *hash2)
static uint64_t | Hash64 (const void *message, size_t length, uint64_t seed)
static uint32_t | Hash32 (const void *message, size_t length, uint32_t seed)
static uint64_t | Rot64 (uint64_t x, int k)
static void | Mix (const uint64_t *data, uint64_t &s0, uint64_t &s1, uint64_t &s2, uint64_t &s3, uint64_t &s4, uint64_t &s5, uint64_t &s6, uint64_t &s7, uint64_t &s8, uint64_t &s9, uint64_t &s10, uint64_t &s11)
static void | EndPartial (uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3, uint64_t &h4, uint64_t &h5, uint64_t &h6, uint64_t &h7, uint64_t &h8, uint64_t &h9, uint64_t &h10, uint64_t &h11)
static void | End (const uint64_t *data, uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3, uint64_t &h4, uint64_t &h5, uint64_t &h6, uint64_t &h7, uint64_t &h8, uint64_t &h9, uint64_t &h10, uint64_t &h11)
static void | ShortMix (uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3)
static void | ShortEnd (uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3)

## Detailed Description

Definition at line 74 of file SpookyV2.h.

## Member Function Documentation

## ◆ End()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::End | ( | const uint64_t * | data,
|  | uint64_t & | h0,
|  | uint64_t & | h1,
|  | uint64_t & | h2,
|  | uint64_t & | h3,
|  | uint64_t & | h4,
|  | uint64_t & | h5,
|  | uint64_t & | h6,
|  | uint64_t & | h7,
|  | uint64_t & | h8,
|  | uint64_t & | h9,
|  | uint64_t & | h10,
|  | uint64_t & | h11 )
| inline static

Definition at line 215 of file SpookyV2.h.

References EndPartial().

Here is the call graph for this function:

## ◆ EndPartial()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::EndPartial | ( | uint64_t & | h0,
|  | uint64_t & | h1,
|  | uint64_t & | h2,
|  | uint64_t & | h3,
|  | uint64_t & | h4,
|  | uint64_t & | h5,
|  | uint64_t & | h6,
|  | uint64_t & | h7,
|  | uint64_t & | h8,
|  | uint64_t & | h9,
|  | uint64_t & | h10,
|  | uint64_t & | h11 )
| inline static

Definition at line 196 of file SpookyV2.h.

References Rot64().

Referenced by End().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Final()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Final | ( | uint64_t * | hash1,
|  | uint64_t * | hash2 )

## ◆ Hash128()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Hash128 | ( | const void * | message,
|  | size_t | length,
|  | uint64_t * | hash1,
|  | uint64_t * | hash2 )
| static

Referenced by Hash32(), and Hash64().

Here is the caller graph for this function:

## ◆ Hash32()

uint32_t Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Hash32 | ( | const void * | message,
|  | size_t | length,
|  | uint32_t | seed )
| inline static

Definition at line 102 of file SpookyV2.h.

References Hash128().

Here is the call graph for this function:

## ◆ Hash64()

uint64_t Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Hash64 | ( | const void * | message,
|  | size_t | length,
|  | uint64_t | seed )
| inline static

Definition at line 89 of file SpookyV2.h.

References Hash128().

Here is the call graph for this function:

## ◆ Init()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Init | ( | uint64_t | seed1,
|  | uint64_t | seed2 )

## ◆ Mix()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Mix | ( | const uint64_t * | data,
|  | uint64_t & | s0,
|  | uint64_t & | s1,
|  | uint64_t & | s2,
|  | uint64_t & | s3,
|  | uint64_t & | s4,
|  | uint64_t & | s5,
|  | uint64_t & | s6,
|  | uint64_t & | s7,
|  | uint64_t & | s8,
|  | uint64_t & | s9,
|  | uint64_t & | s10,
|  | uint64_t & | s11 )
| inline static

Definition at line 160 of file SpookyV2.h.

References Rot64().

Here is the call graph for this function:

## ◆ Rot64()

uint64_t Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Rot64 | ( | uint64_t | x,
|  | int | k )
| inline static

Definition at line 142 of file SpookyV2.h.

Referenced by EndPartial(), Mix(), ShortEnd(), and ShortMix().

Here is the caller graph for this function:

## ◆ ShortEnd()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::ShortEnd | ( | uint64_t & | h0,
|  | uint64_t & | h1,
|  | uint64_t & | h2,
|  | uint64_t & | h3 )
| inline static

Definition at line 273 of file SpookyV2.h.

References Rot64().

Here is the call graph for this function:

## ◆ ShortMix()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::ShortMix | ( | uint64_t & | h0,
|  | uint64_t & | h1,
|  | uint64_t & | h2,
|  | uint64_t & | h3 )
| inline static

Definition at line 244 of file SpookyV2.h.

References Rot64().

Here is the call graph for this function:

## ◆ Update()

void Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash::Update | ( | const void * | message,
|  | size_t | length )

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Util/SpookyV2.h